#ifndef TUTORIAL_H
#define TUTORIAL_H


/**Tutorial Class
 * @brief A library for describing the Tutorial.
 * @author Dmitrijs Griskovs
 * @date 15/04/2019
 */
class Tutorial{
public:
    /** A constructor for the Tutorial's page number*/
    Tutorial();
    /** @brief Updates and draws a text that explains the game rules and gameplay*/
    bool updateAndWriteTutorial();
    
private:
    static const int right_arrow_pos_x = 70;
    static const int left_arrow_pos_x = 4;
    static const int arrows_pos_y = 0;
    static const int total_pages = 12;
    static const float time_delay = 100;
    int current_page;
    void drawArrowsAndExitButton();
    void turnPages();
    void tutorialPage0();
    void tutorialPage1();
    void tutorialPage2();
    void tutorialPage3();
    void tutorialPage4();
    void tutorialPage5();
    void tutorialPage6();
    void tutorialPage7();
    void tutorialPage8();
    void tutorialPage9();
    void tutorialPage10();
    void tutorialPage11();
    
};
#endif